#include <18F25K20.h>
#device adc=10

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES WDT128                   //Watch Dog Timer uses 1:128 Postscale
//#FUSES H4                       //High speed osc with HW enabled 4X PLL
#FUSES INTRC_IO 
#FUSES NOPROTECT                //Code not protected from reading
#FUSES BROWNOUT                 //Reset when brownout detected
#FUSES BORV27                   //Brownout reset at 2.7V
#FUSES PUT                      //Power Up Timer
#FUSES NOCPD                    //No EE protection
#FUSES STVREN                   //Stack full/underflow will cause reset
#FUSES NODEBUG                  //No Debug mode for ICD
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOWRT                    //Program memory not write protected
#FUSES NOWRTD                   //Data EEPROM not write protected
#FUSES IESO                     //Internal External Switch Over mode enabled
#FUSES FCMEN                    //Fail-safe clock monitor enabled
#FUSES PBADEN                   //PORTB pins are configured as analog input channels on RESET
#FUSES NOWRTC                   //configuration not registers write protected
#FUSES NOWRTB                   //Boot block not write protected
#FUSES NOEBTR                   //Memory not protected from table reads
#FUSES NOEBTRB                  //Boot block not protected from table reads
#FUSES NOCPB                    //No Boot Block code protection
#FUSES LPT1OSC                  //Timer1 configured for low-power operation
#FUSES MCLR                     //Master Clear pin enabled
#FUSES NOXINST                  //Extended set extension and Indexed Addressing mode disabled (Legacy mode)
#FUSES NODELAYINTOSC         
#use delay(clock=16000000,RESTART_WDT)


#define setup  PIN_A4
//#define digit  PIN_A5
#define plus   PIN_A6
#define minus  PIN_A7
//#bit tohka=0x07.0
//#bit setup=0x07.1

char acp=1; //    
unsigned long izmer=0,tusahi=0,sotni=0,dec=0,edin=0,temp1,temp2;  //   

void bcd_volt(unsigned long hislo)
{
   restart_wdt();
   //  ,,  
   tusahi=hislo/10000;
   temp1=tusahi*10000; //  
   temp2=hislo-temp1;  //       
   restart_wdt();
   sotni=temp2/1000;
   temp1=sotni*1000;
   dec=(temp2-temp1)/100;
}

typedef struct
{
    unsigned char   ucPressed;            //  
    unsigned char   ucJitter    : 2;      //   
    unsigned char   ucCounter   : 6;      //   
    unsigned char   ucHold;               //   
                                          // :
    unsigned char   ucShort;              //    
    unsigned char   ucJustPressed;        //    
    unsigned char   ucJustReleased;       //    
    unsigned char   ucChanged;            //   

} TBUTTONS;

TBUTTONS    m_Buttons;

//       

typedef struct
{
   unsigned char    setupp;               //   
   unsigned char    protect;              //   
   unsigned char    plus_ystav;          //   
   unsigned long    ystav;               //     
   unsigned char    mcp41010;            //     
   unsigned char    temp_eeprom1;        //     
   unsigned char    temp_eeprom2;
   unsigned char*   ykaz_eeprom;         //      
} STATUS;

STATUS st_status;
